package io.gmss.fiscad.interfaces.infocad.metier;

import io.gmss.fiscad.entities.infocad.metier.MembreGroupe;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface MembreGroupeService {

    MembreGroupe createMembreGroupe(MembreGroupe membreGroupe) throws BadRequestException;

    MembreGroupe updateMembreGroupe(Long id, MembreGroupe membreGroupe) throws NotFoundException;

    void deleteMembreGroupe(Long id) throws NotFoundException;

    Page<MembreGroupe> getMembreGroupeList(Pageable pageable);

    List<MembreGroupe> getMembreGroupeList();

    Optional<MembreGroupe> getMembreGroupeById(Long id);
}
